import { Router } from "express";
import { authenticate } from "../middleware/auth.middleware";
import { getAllMessageOfCompany , insertMessage , setInactive , getMyMessageOfCompany } from "../controllers/message/message.controller";

const router = Router();


router.get("/company/:company_id" , authenticate , getAllMessageOfCompany);
router.post("/add" , authenticate, insertMessage);
router.get("/:id/inactive}" , authenticate, setInactive);
router.get("/company/:company_id/my/:employee_id" , authenticate , getAllMessageOfCompany);


export default router;
